org.richfaces.resource.mapping

## Class ResourcePath

- java.lang.Object
- - org.richfaces.resource.mapping.ResourcePath

-     public class ResourcePath
      extends Object

  Represents a path to the resource.

  In correspondance to `Resource`, it does not allow to obtain defails of the requested resource, it knows just its path.

  This class primarily serves as a base for configuring Resource Mapping that drives resources through `ResourceServlet`.

  Author:
    Lukas Fryc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `resourcePath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePath(ResourceKey key)` Creates a relative resource path from given `ResourceKey`
    `ResourcePath(String resourcePath)` Creates resource path from given that can be either absolute or relative URL
    `ResourcePath(URL url)` Creates resource path from provided absolute URL

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isAbsoluteURL()` Is given resource path an absolute URL?
    `String` | `toExternalForm()` Exports given resource path to its external form that is
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resourcePath

          public String resourcePath

  - ### Constructor Detail

    - #### ResourcePath

          public ResourcePath(String resourcePath)

      Creates resource path from given that can be either absolute or relative URL

    - #### ResourcePath

          public ResourcePath(URL url)

      Creates resource path from provided absolute URL

    - #### ResourcePath

          public ResourcePath(ResourceKey key)

      Creates a relative resource path from given `ResourceKey`

  - ### Method Detail

    - #### toExternalForm

          public String toExternalForm()

      Exports given resource path to its external form that is

    - #### isAbsoluteURL

          public boolean isAbsoluteURL()

      Is given resource path an absolute URL?

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.